<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>br.com.esilvasoft.geradorestrutural</groupId>
	<artifactId>gerador-estrutural-bom</artifactId>
	<version>1.0.0</version>
	<packaging>pom</packaging>


	<properties>
		<quarkus.version>1.10.2.Final</quarkus.version>
		<maven.compiler.source>11</maven.compiler.source>
		<maven.compiler.target>11</maven.compiler.target>
		<versao.compilado>1.0.0.0</versao.compilado>
		<compiler-plugin.version>3.8.1</compiler-plugin.version>
		<compiler-plugin.version>3.8.1</compiler-plugin.version>
		<org.apache.ant.version>1.10.9</org.apache.ant.version>
	</properties>

	<dependencyManagement>
		<dependencies>

			<dependency>
				<groupId>io.quarkus</groupId>
				<artifactId>quarkus-bom</artifactId>
				<version>${quarkus.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>org.json</groupId>
				<artifactId>json</artifactId>
				<version>20190722</version>
			</dependency>
			<dependency>
				<groupId>br.com.esilvasoft.geradorestrutural</groupId>
				<artifactId>gerador-estrutural-modelo</artifactId>
				<type>jar</type>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.esilvasoft.geradorestrutural</groupId>
				<artifactId>gerador-estrutural-processador</artifactId>
				<type>jar</type>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.esilvasoft.geradorestrutural</groupId>
				<artifactId>gerador-estrutural-processador-impl</artifactId>
				<type>jar</type>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>br.com.esilvasoft.geradorestrutural</groupId>
				<artifactId>gerador-estrutural-main</artifactId>
				<type>jar</type>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.ant</groupId>
				<artifactId>ant</artifactId>
				<version>${org.apache.ant.version}</version>
			</dependency>
		</dependencies>
	</dependencyManagement>


	<build>
		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>${compiler-plugin.version}</version>
				</plugin>

				<plugin>
					<groupId>io.quarkus</groupId>
					<artifactId>quarkus-maven-plugin</artifactId>
					<version>${quarkus.version}</version>
				</plugin>



			</plugins>
		</pluginManagement>
	</build>

	<modules>
		<module>gerador-estrutural-modelo</module>
		<module>gerador-estrutural-main</module>
		<module>gerador-estrutural-processador</module>
		<module>gerador-estrutural-processador-impl</module>
	</modules>
</project>